/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.officeintroduce.entity;

import com.google.common.collect.Lists;
import com.jeeplus.modules.sys.entity.Office;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;

import java.util.Date;
import java.util.List;

/**
 * 企业介绍Entity
 * @author liuw
 * @version 2017-12-05
 */
public class Officeintroduce extends DataEntity<Officeintroduce> {
	//附件111    //编号模板25
	public static final String SERIAL_BIZCODE = "25";
	private static final long serialVersionUID = 1L;
	private String introduce;		// 企业介绍
	private Office office;		// 企业外键

	private Date uploadDate; //上传日期
	private String 	companyName;  //公司名称
	private String num;  //编号（公司简称+4位流水）
	private List<WorkClientAttachment> workAttachments = Lists.newArrayList(); //附件
	//临时属性
	private String url;
	private String uName;
	public Officeintroduce() {
		super();
	}
	private String companyId;  //公司ID
	public Officeintroduce(String id){
		super(id);
	}

	@ExcelField(title="企业介绍", align=2, sort=7)
	public String getIntroduce() {
		return introduce;
	}

	public void setIntroduce(String introduce) {
		this.introduce = introduce;
	}
	
	@ExcelField(title="企业外键", align=2, sort=8)
	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}

	public Date getUploadDate() {
		return uploadDate;
	}

	public void setUploadDate(Date uploadDate) {
		this.uploadDate = uploadDate;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}

	public List<WorkClientAttachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public String getUrl() {
		return url;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getuName() {
		return uName;
	}

	public void setuName(String uName) {
		this.uName = uName;
	}
}